SplFloat
SplEnum
SplFloat
PHP Manual

# SplFloat::__construct

(PECL spl_types >= 0.1.0)

SplFloat::__construct — Constructs a float object type

### Description

SplFloat::__construct ( float `$input` )

This constructs a new object of type float.

### Parameters

`input`

  The `input` parameter accepts a float or an integer . If an integer is passed, it will be converted to float .

### Return Values

No value is returned.

### Examples

Example #1 SplFloat::__construct() example

`<?php
$float = new SplFloat(3.154);
$newFloat = new SplFloat(3);
try {
$float = 'Try to cast a string value for fun';
} catch (UnexpectedValueException $uve) {
echo $uve->getMessage() . PHP_EOL;
}
var_dump($float);
var_dump($newFloat);
?>`

The above example will output:

    Value not a float
    object(SplFloat)#1 (1) {
      ["__default"]=>
      float(3.154)
    }
    object(SplFloat)#2 (1) {
      ["__default"]=>
      float(3)
    }

SplFloat
SplEnum
SplFloat
PHP Manual